import OpenTimeLine from "@/core/components/timelines/OpenTimeLine";
import InProgressTimeLine from "@/core/components/timelines/InProgressTimeLine";
import DoneTimeLine from "@/core/components/timelines/DoneTimeLine";

const TimelineManager = (props) => {
    switch (props.status) {
        case 'open':
            return <OpenTimeLine {...props} />
        case 'in progress':
            return <InProgressTimeLine {...props} />
        case 'done':
            return <DoneTimeLine {...props} />
    }
}

export default TimelineManager